import antfu from '@antfu/eslint-config'

export default antfu({
  ignores: [
    'assets/',
    'node_modules/',
    'dist/',
  ],
  typescript: true,
  gitignore: false,
  rules: {
    'curly': ['error', 'multi-line'],
    'style/brace-style': ['error', '1tbs', { allowSingleLine: true }],
    'n/prefer-global/buffer': 'off',
    'no-restricted-globals': ['error', 'Buffer', '__dirname', 'require'],
    'style/quotes': ['error', 'single', { avoidEscape: true }],
    'test/consistent-test-it': 'off',
    'test/prefer-lowercase-title': 'off',
    'antfu/if-newline': 'off',
    'style/max-statements-per-line': ['error', { max: 2 }],
    'ts/no-redeclare': 'off',
    'no-alert': 'off',
    'no-console': 'off',
    'node/prefer-global/process': 'off',
    'unused-imports/no-unused-vars': 'off',
  },
})
